%define module	pylzma

Name:		python-%{module}
Version:	0.4.8
Release:	%mkrel 1
Summary:	Python bindings for the LZMA library by Igor Pavlov
License:	LGPLv2+
Group:		Development/Python
Url:		http://www.joachim-bauch.de/projects/pylzma/
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
PyLZMA provides a platform independent way to read and write data that has
been compressed or can be decompressed by the LZMA library by Igor Pavlov.

#---------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for the LZMA library by Igor Pavlov
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n python3-%{module}
PyLZMA provides a platform independent way to read and write data that has
been compressed or can be decompressed by the LZMA library by Igor Pavlov.

This is the Python 3 build of %{module}.

#---------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py2_build

%py3_build

%install
%py2_install

%py3_install

%files
%doc README.md doc/*
%{python2_sitearch}/py7zlib.py*
%{python2_sitearch}/%{module}-%{version}-py%{python2_version}.egg-info
%{python2_sitearch}/%{module}*.so

%files -n python3-%{module}
%doc README.md doc/*
%{python3_sitearch}/py7zlib.py*
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/%{module}*.so
%{python3_sitearch}/__pycache__/


%changelog
* Wed Jan 20 2016 daviddavid <daviddavid> 0.4.8-1.mga6
+ Revision: 926137
- imported package python-pylzma

